/* ==================== common.css ==================== */

html {
	background: #FFE6E7;
	font-family: 'Hiragino Kaku Gothic Pro', Meiryo, sans-serif;
	font-feature-settings: 'palt';
	letter-spacing: 0.05em;
}

@media all and (max-width: 640px){
	body {
		margin: 0;
		font-size: 0.9rem;
		line-height: 1.6;
	}
	body.index {
		padding-top: 1rem;
		background:
			linear-gradient(0deg, #ffd7df, #ffd7df) no-repeat center top,
			url(/images/index/title_back1.jpg) no-repeat center 1rem,
			url(/images/common/bg_sp_bottom.jpg) no-repeat center bottom,
			linear-gradient(0deg, #ffd7df 40%, #ffe7e7 60%) no-repeat center center;
		background-size:
			100% 1rem,
			140% auto,
			100% auto,
			100% 100%;
	}
	body:not(.index) {
		padding-top: 1px;
		background:
			url(/images/common/bg_sp_top.jpg) no-repeat center top,
			url(/images/common/bg_sp_bottom.jpg) no-repeat center bottom,
			linear-gradient(0deg, #ffd7df 40%, #ffe7e7 60%) no-repeat center center;
		background-size:
			100% auto,
			100% auto,
			100% 100%;
	}
}

@media all and (min-width: 641px) {
	html {
	}

	body {
		margin: 0;
		font-size: 0.75rem;
		line-height: 1.8;
	}

	body.index {
		padding-top: 2.5rem;
		background:
			linear-gradient(0deg, #ffd7df, #ffd7df) no-repeat center top,
			url(/images/index/title_back1.jpg) no-repeat center 2.5rem,
			url(/images/index/title_back2.jpg) repeat-x center 2.5rem,
			url(/images/common/bg_pc_bottom.jpg) no-repeat center bottom,
			linear-gradient(0deg, #ffd7df 40%, #ffe7e7 60%) no-repeat center center;
		background-size:
			100% 2.5rem,
			41.8rem auto,
			41.8rem auto,
			100% auto,
			100% 100%;
	}

	body:not(.index) {
		background:
			url(/images/common/bg_pc.jpg) no-repeat center top,
			url(/images/common/bg_pc_bottom.jpg) no-repeat center bottom,
			linear-gradient(0deg, #ffd7df 40%, #ffe7e7 60%) no-repeat center center;
		background-size:
			100% auto,
			100% auto,
			100% 100%;
	}
}

a {
	color: #ea0039;
}

hr {
	margin: 2rem 0;
	border: none;
	background: url(/images/common/bar.png) no-repeat center center;
	background-size: contain;
}

@media all and (max-width: 640px) {
	hr {
		height: 0.4rem;
	}
}
@media all and (min-width: 641px) {
	hr {
		height: 0.6rem;
	}
}

i.material-icons {
	font-size: 1.2rem;
}

img {
	max-width: 100%;
	vertical-align: bottom;
}

ks-base {
	display: block;
	border-radius: 0.2rem;
	box-shadow: 0 0 1rem rgba(255,92,124,0.2);
	background: rgba(255,255,255,0.7);
}

/* ==================== メニュー  ====================*/

.Menu {
	color: #ff5c7c;
}
.Menu a {
	color: inherit;
	text-decoration: none;
}
.Menu a:hover {
	text-decoration: underline;
}

.Menu ul {
	margin: 0;
	padding: 0;
	list-style-type: none;
}
.Menu li {
	line-height: 1;
}
.Menu li a {
	display: block;
}
.Menu li a i {
	vertical-align: middle;
	margin-right: 0.25em;
}

.Menu ul ul {
	font-size: 90%;
}

@media all and (max-width: 640px) {
	.Sidebar {
		position: fixed;
		z-index: 1;
		right: 0;
		top: 0;
		width: 0;
		height: 100vh;
		background: none;
		text-align: center;

		-webkit-transition:
			background 150ms ease,
			width 0s linear;
		transition:
			background 150ms ease,
			width 0s linear;
	}

	.Sidebar.open {
		width: 100vw;
		background: rgba(0,0,0,0.2);
	}

	.Sidebar .MainMenu {
		position: absolute;
		right: 0;
		top: 0;
		box-sizing: border-box;
		height: 100%;
		padding: 1rem;
		background: white;
		-webkit-transition: all 400ms ease;
		transition: all 400ms ease;
		-webkit-transform: translateX(100%);
		transform: translateX(100%);
	}

	.Sidebar.open .MainMenu {
		-webkit-transform: translateX(0);
		transform: translateX(0);
	}

	.Sidebar .Menu ul {
		text-align: left;
	}
	.Sidebar .Menu > nav > ul > li {
		border-bottom: 1px solid rgba(255,92,124,0.3);
		padding: 0.5em 0;
	}
	.Sidebar .Menu > nav > ul > li:nth-of-type(n+2) {
	}

	.Sidebar .Menu ul ul {
		margin-top: 0.5em;
		padding-left: 2em;
	}
	.Sidebar .Menu li a {
		padding: 0.5em 1em;
	}

	.Sidebar button {
		position: fixed;
		right: 0;
		top: 0;
		border: none;
		margin: 0;
		padding: 0;
		width: 3rem;
		height: 3rem;
		outline: none;
		background: none;
	}
	.Sidebar button i.material-icons {
		position: absolute;
		left: 50%;
		top: 50%;
		color: #ff5c7c;
		font-size: 2rem;
		opacity: 0;
		-webkit-transition: all ease 150ms;
		transition: all ease 150ms;
		-webkit-transform: translate(-50%, -50%) scale(0.5);
		transform: translate(-50%, -50%) scale(0.5);
	}
	.Sidebar.open button i:nth-of-type(2),
	.Sidebar:not(.open) button i:nth-of-type(1) {
		opacity: 1;
		-webkit-transform: translate(-50%, -50%) scale(1);
		transform: translate(-50%, -50%) scale(1);
	}

	footer .Menu {
		display: none;
	}
}

@media all and (min-width: 641px) {
	.Menu {
		font-size: 90%;
		text-align: center;
	}
	.Menu nav > ul {
		display: inline-block;
	}
	.Menu nav > ul > li {
		display: inline-block;
		border-right: 1px solid rgba(255,92,124,0.5);
		font-family: 'Hiragino Mincho W3 JIS2004';
	}
	.Menu nav > ul > li:last-child {
		border-right: none;
		margin-left: 1em;
	}
	.Menu nav > ul > li > a {
		padding: 0.5em 0.75em;
	}

	header button {
		display: none;
	}

	header .Menu nav > ul > li {
		position: relative;
	}

	header .Menu ul ul {
		visibility: hidden;
		position: absolute;
		left: 0;
		top: 100%;
		border-radius: 0.1rem;
		padding: 0.5em;
		box-shadow: 0 0 1rem rgba(255,92,124,0.2);
		background: rgba(255,255,255,0.8);
		opacity: 0;
		-webkit-transition:
			opacity 150ms ease,
			-webkit-transform 400ms ease;
		transition:
			opacity 150ms ease,
			transform 400ms ease;
		-webkit-transform: translateY(-0.2rem);
		transform: translateY(-0.2rem);

	}
	header .Menu nav > ul > li:hover ul {
		visibility: visible;
		opacity: 1;
		-webkit-transform: none;
		transform: none;
	}

	header .Menu li li {
		text-align: left;
		white-space: nowrap;

	}
	header .Menu li li a {
		padding: 0.75em;
	}
}

/* ==================== SNS  ====================*/

.SNS ul {
	display: inline-table;
	margin: 0;
	padding: 0;
	list-style-type: none;
}
.SNS li {
	display: table-cell;
}
.SNS li img {
	width: auto;
}
.SNS li img[src*="twitter"] {
	transform: scale(0.9);
}
.SNS li img[src*="youtube"] {
	transform: scale(0.8);
}

header .SNS li {
	width: 2.5em;
}
header .SNS li img {
	height: 1.5em;
}

footer .SNS {
	margin: 2rem auto;
	font-size: 85%;
}
footer .SNS li {
	width: 8em;
}
footer .SNS li img {
	display: block;
	height: 3em;
	margin: 0.5em auto;
}

@media all and (max-width: 640px) {
	header .SNS {
		margin-top: 2rem;
		font-size: 120%;
	}
	footer .SNS li {
		width: 6.5em;
	}
}

@media all and (min-width: 641px) {
	header .SNS {
		position: absolute;
		right: 0.5rem;
		top: 50%;
		-webkit-transform: translateY(-50%);
		transform: translateY(-50%);
	}
}

/*==================== ヘッダー ====================*/

header .Logo {
	position: absolute;
}

@media all and (max-width: 640px) {
	header .Logo {
		right: 100vw;
		top: 0.5rem;
		width: 7rem;
		transform: translateX(70%);
	}
}

@media all and (min-width: 641px) {
	header {
		position: absolute;
		left: 50%;
		top: 0;
		box-sizing: border-box;
		width: 100%;
		max-width: 50rem;
		padding: 0.5rem;
		-webkit-transform: translateX(-50%);
		transform: translateX(-50%);
		text-align: center;
	}
	
	header .Logo {
		left: 0;
		top: 0.5rem;
		width: 13rem;
		-webkit-transform: translateX(-20%);
		transform: translateX(-25%);
	}
	body.index header .Logo {
		display: none;
	}
}

/* ==================== フッター  ====================*/

footer {
	padding: 1rem 0;
	color: #ff5c7c;
	text-align: center;
}


footer address {
	margin: 2rem auto;
	font-style: normal;
	font-size: 80%;
	letter-spacing: 0.2em;
}

@media all and (max-width: 640px) {
}

@media all and (min-width: 641px) {
	footer address {
		font-family: 'Hiragino Mincho W3 JIS2004';
	}
}

/*---------- サブメニュー ----------*/

.Submenu {
	color: #ff5c7c;
	text-align: center;
}
.Submenu ul {
	display: inline-block;
	margin: 0;
	padding: 0;
	list-style-type: none;
}
.Submenu a {
	color: inherit;
}

@media all and (max-width: 640px) {
	.Submenu {
		margin: 3rem auto 0;
	}
	.Submenu li {
		margin: 1em auto;
	}
}


@media all and (min-width: 641px) {
	.Submenu {
		position: absolute;
		left: 50%;
		top: 11rem;
		width: 100%;
		-webkit-transform: translateX(-50%);
		transform: translateX(-50%);
	}
	.Submenu li {
		display: inline-block;
		margin: 0 1em;
	}
}

/*==================== コンテンツ ====================*/

main > h1,
main > h2 {
	color: #9c7500;
	font-size: 160%;
	font-weight: normal;
	text-align: center;
}
main > h1 img[src*="title_"] {
	display: inline-block;
	width: auto;
	height: 7.75rem;
}

main section > h2,
main section > h3 {
	color: #ff5c7c;
	font-size: 140%;
	font-weight: normal;
	text-align: center;
}

@media all and (max-width: 640px) {
	body:not(.index) main {
		margin: 0 1rem;
	}
	main > h1 {
		margin: 1.5em 0;
	}
	main > h1 img {
		margin-bottom: -1.5em;
	}

	main > h2 {
		margin: 1.5em 0;
	}

	main section > h2,
	main section > h3 {
		margin: 1.5em 0;
	}
}

@media all and (min-width: 641px) {
	main {
		width: 48rem;
		margin: 0 auto;
		padding-top: 1px;
	}

	body.index main {
		width: 100%;
	}

	body.gallery main {
		width: 42rem;
	}
	body.privacy main,
	body.contact main,
	body.event main {
		width: 40rem;
	}
	body.event.news main {
		width: 32rem;
	}
	body.event.report main {
		width: 32rem;
	}

	main > h1 {
		margin: 4em 0 1.5em;
	}
	main > h1 img[src*="title_"] {
		margin: -1rem 0 0;
	}
	main > h2 {
		margin: 2em 0 1.5em;
	}
	main section > h2,
	main section > h3 {
		margin: 1.5em 0;
	}
}

/* ==================== ImageView ====================*/

.ImageView {
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.8);
	animation-name: fadeIn;
	animation-duration: 200ms;
}
@keyframes fadeIn {
	from {
		opacity: 0;
	}
	to {
		opacity: 1;
	}
}

.ImageView button {
	position: absolute;
	right: 0;
	top: 0;
	width: 3rem;
	height: 3rem;
	border: none;
	margin: 0;
	padding: 0;
	background: none;
	cursor: pointer;
}
.ImageView button i.material-icons {
	position: absolute;
	left: 50%;
	top: 50%;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	font-size: 2rem;
	color: rgba(255,255,255,0.5);
}
.ImageView .body {
	position: absolute;
	left: 50%;
	top: 50%;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	text-align: center;
}
.ImageView img {
	display: block;
	max-width: 90vw;
	max-height: 90vh;
	animation-name: showImage;
	animation-duration: 400ms;
}

@keyframes showImage {
	from {
		opacity: 0;
		transform: scale(0.95);
	}
	to {
		opacity: 1;
		transform: scale(1);
	}
}


/* ==================== youtube.css ==================== */

.youtube .thumb {
	display: block;
	position: relative;
	transition: opacity 200ms;
}
.youtube .thumb::before {
	content: '';
	display: block;
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: url(/images/common/icon_youtube.png) no-repeat center center;
	background-size: 18%;
}
.youtube .thumb:hover {
	opacity: 0.7;
}


#youtubePlayer {
	display: flex;
	align-items: center;
	justify-content: center;
	position: fixed;
	z-index: 999;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: black;
}

#youtubePlayer .body {
	width: calc(100% - 2rem);
	height: calc(100% - 6rem);
}

#youtubePlayer iframe {
	width: 100%;
	height: 100%;
}

#youtubePlayer button {
	display: flex;
	position: absolute;
	align-items: center;
	justify-content: center;
	right: 0;
	top: 0;
	border: none;
	margin: 0;
	padding: 0;
	background: none;
	width: 3rem;
	height: 3rem;
	cursor: pointer;
}

#youtubePlayer button i.material-icons {
	font-size: 2rem;
	color: white;
}